EDIRUTIL(1)

NAME
edirutil - synthesize NCBI ENTREZ_DIRECT XML (edirect pipeline state)

SYNOPSIS
edirutil [-db name] [-web webenv] [-key N] [-count N] [-step N] [-silent] [-verbose] [-debug]

DESCRIPTION
edirutil synthesizes ENTREZ_DIRECT XML records, which several edirect commands read, write, or both, to allow for server-side transformation or filtering of results prior to presenting them. edirutil makes it possible to bypass one or more edirect pipeline stages on the basis of state observed in browsers or other tools that don't natively produce ENTREZ_DIRECT XML.

OPTIONS

-db name
    Work with the named Entrez database.

-web webenv
    Pass the specified WebEnv cookie.

-key N
    Work with the Nth result set associated with the specified WebEnv.

-count N
    Expect N results.

-step N
    Indicate the current pipeline depth.

-silent
    Suppress connection failure retry messages.

-verbose
    Display the ENTREZ_DIRECT XML field values at each step.

-debug
    Print the internal URL query and XML results of each step.

SEE ALSO
econtact(1), edirect(1).